Author Topic: Anyone using phpMyAdmin under LMCE 710 ?  (Read 1165 times)

bulek

  • Administrator
  • wants to work for LinuxMCE
  • *****
  • Posts: 891
  • Living with LMCE
    • View Profile
Anyone using phpMyAdmin under LMCE 710 ?
« on: June 23, 2008, 04:12:37 pm »
Hi,

I'm trying to setup phpMyAdmin under 710 Release (RC2), but something is wrong...

I can get into sql with : mysql -u root -p  but cannot over phpMyAdmin (with same username and empty password) - it says access denied for 'root'@'localhost'...

Anyone using pypMyAdmin sucessfully under LMCE ? How did you set it up?

Thanks in advance,

regards,

Bulek.
Thanks in advance,

regards,

Bulek.

golgoj4

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1098
  • hrumpf!
    • View Profile
    • Mah Website
Re: Anyone using phpMyAdmin under LMCE 710 ?
« Reply #1 on: June 23, 2008, 05:31:20 pm »
thats odd, i have set it up twice.

Looks like your doing the right stuff. Did you fix the symlink issue?

http://wiki.linuxmce.org/index.php/Phpmyadmin

hth

-golgoj4
Official Releases
http://deb.linuxmce.org/QOrbiter-release.apk latest Qt4 android apk  http://deb.linuxmce.org/QOrbiterQt5-release.apk for the Qt5 Android version http://deb.linuxmce.org/QOrbiter-release.dmg for the MacOSX version

Unstable Nightlies
http://langstonball.com/downloads

jondecker76

  • Alumni
  • wants to work for LinuxMCE
  • *
  • Posts: 763
    • View Profile
Re: Anyone using phpMyAdmin under LMCE 710 ?
« Reply #2 on: June 23, 2008, 05:34:12 pm »
Yes, I use phpMyAdmin a lot myself.

I documented installation instructions in the wiki: (at the bottom of the page)
http://wiki.linuxmce.org/index.php/Setting_Up_A_Development_Environment

bulek

  • Administrator
  • wants to work for LinuxMCE
  • *****
  • Posts: 891
  • Living with LMCE
    • View Profile
Re: Anyone using phpMyAdmin under LMCE 710 ?
« Reply #3 on: June 23, 2008, 07:20:03 pm »
Hi,

thanks for responses. I did install with apt-get and found instruction to Include /etc/phpmyadmin/apache2.conf into main apache2.conf...

Funny is that everything works ok from IE (it displays warning that cookies must be enabled from now on), but not from Firefox.... I had an installation of RC1 and everything worked through same laptop with Firefox...

Anyway, if IE is working, that's good enough....

Regards,

Bulek.
Thanks in advance,

regards,

Bulek.

ccoudsi

  • Guru
  • ****
  • Posts: 244
    • View Profile
Re: Anyone using phpMyAdmin under LinuxMCE 710 ?
« Reply #4 on: July 19, 2009, 09:10:18 pm »
I just installed the latest PhpMyAdmin "phpMyAdmin-3.2.0.1-english.tar.gz" on my latest 810, when I run it "http://dcerouter/phpmyadmin" I get the Welcome to phpMyAdmin screen with error :"Cannot load mcrypt extension, please check your PHP configuration."
Any ideas what need to change.
Thanks.
Cheers |[BEER]
Charlie,

merkur2k

  • Addicted
  • *
  • Posts: 513
    • View Profile
Re: Anyone using phpMyAdmin under LinuxMCE 710 ?
« Reply #5 on: July 20, 2009, 04:31:54 am »
install php5-mcrypt package

ccoudsi

  • Guru
  • ****
  • Posts: 244
    • View Profile
Re: Anyone using phpMyAdmin under LinuxMCE 710 ?
« Reply #6 on: July 20, 2009, 07:52:08 am »
Thanks this solved my first problem, then I tried to log in with root and no password I got this error "login without a password is forbidden by configuration"
So I went to the setup page "Basic settings" tab,  'http://dcerouter/phpmyadmin/setup/index.php" and I created a config directory in "/var/www/phpmyadmin/config" and enabled read/write access per instructions, then  I created default server to point to localhost with "tcp" connection , "mysqli" PHP extension, "cookie" Authentication type, "root" user for config auth, "blank" password for config auth, "checked box" connect without password, "blank" swekey config file.

Also I modified "server configuration" tab and I "checked box " Allow logins without a password

And I get the same error message when I log in as "root" with "blank" password ???
Any suggestions???
« Last Edit: July 20, 2009, 08:01:01 am by ccoudsi »
Cheers |[BEER]
Charlie,